from lava_scheduler_app.models import DeviceType, Device
from dashboard_app.models import BundleStream
from django.contrib.auth.models import User

def create_device(name, device_type_name):
  if Device.objects.filter(hostname = name).count() == 0:
    device_type  = DeviceType()
    device_type.name = device_type_name
    device_type.save()
    #
    device = Device()
    device.hostname = name
    device.device_type = device_type
    device.save()
    print("Created device %s!" % name)

def create_anonymous_bundle_stream(name):
  if BundleStream.objects.filter(pathname = '/anonymous/' + name + '/').count() == 0:
    bundle_stream = BundleStream()
    bundle_stream.name = bundle_stream.slug = name
    bundle_stream.is_anonymous = True
    bundle_stream.is_public = True
    bundle_stream.owner = User.objects.filter()[0]
    bundle_stream.save()

create_device('qemu01', 'qemu')
create_anonymous_bundle_stream('qemu')

create_device('fastmodel01', 'fastmodel_A15x4-A7x4')
create_anonymous_bundle_stream('fastmodel')

create_device('snowball01', 'snowball')
create_anonymous_bundle_stream('snowball')

create_device('nexus02', 'nexus')
create_anonymous_bundle_stream('nexus')

create_device('foundationsmodel01', 'foundationsmodel')
create_anonymous_bundle_stream('foundationsmodel')

create_device('fastmodel02', 'fastmodel_A15x4-A7x4')
